package com.ruoyi.project.hit.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;
import javax.validation.constraints.Size;

/**
 * @TableName pupu_user
 */
@TableName(value ="pupu_user")
@Data
public class PupuUser implements Serializable {
    @TableId(type = IdType.AUTO)
    private Integer userId;

    @NotBlank(message = "用户名不能为空")
    @Size(min = 6, max = 16, message = "用户名长度必须在6到16个字符之间")
    private String userName;

    @NotBlank(message = "密码不能为空")
    @Size(min = 8, message = "密码长度至少为8个字符")
    @Pattern(regexp = "^(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[\\W]).+$", message = "密码必须包含至少一个大写字母、一个小写字母、一个数字和一个特殊字符")
    private String password;

    @NotBlank(message = "性别不能为空")
    @Pattern(regexp = "^(男|女|未知)$", message = "性别必须是男、女或未知")
    private String gender;

    private String pic;

    private Integer status;

    private static final long serialVersionUID = 1L;
}