package com.ruoyi.project.hit.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.exception.CustomException;
import com.ruoyi.project.hit.domain.PupuEquipment;
import com.ruoyi.project.hit.domain.PupuLog;
import com.ruoyi.project.hit.domain.PupuStore;
import com.ruoyi.project.hit.mapper.PupuStoreMapper;
import com.ruoyi.project.hit.service.PupuEquipmentService;
import com.ruoyi.project.hit.mapper.PupuEquipmentMapper;
import com.ruoyi.project.hit.service.PupuLogService;
import com.ruoyi.project.hit.service.PupuStoreService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @author HP
 * @description 针对表【pupu_equipment】的数据库操作Service实现
 * @createDate 2024-09-05 16:50:18
 */
@Service
public class PupuEquipmentServiceImpl extends ServiceImpl<PupuEquipmentMapper, PupuEquipment>
        implements PupuEquipmentService {

    @Resource
    private PupuEquipmentMapper pupuEquipmentMapper;
    @Resource
    private PupuLogService pupuLogService;
    @Resource
    private PupuStoreMapper pupuStoreMapper;

    @Override
    public int add(PupuEquipment pupuEquipment) {
        if(pupuStoreMapper.selectById(pupuEquipment.getStoreId())==null){
            throw new CustomException("该门店不存在");
        }
        LambdaQueryWrapper<PupuEquipment> wrapper=new LambdaQueryWrapper<>();
        wrapper.eq(PupuEquipment::getSerialNumber,pupuEquipment.getSerialNumber());
        if(pupuEquipmentMapper.selectOne(wrapper)!=null){
            throw new CustomException("标识码重复");
        };
        pupuLogService.add(new PupuLog("设备新增",1,new Date()));
        return pupuEquipmentMapper.insert(pupuEquipment);
    }

    @Override
    public int del(Integer equipmentId) {
        if(pupuEquipmentMapper.selectById(equipmentId)==null){
            throw new CustomException("该设备不存在");
        }
        pupuLogService.add(new PupuLog("设备删除",2,new Date()));
        return pupuEquipmentMapper.deleteById(equipmentId);
    }
}




